import React from 'react';

import clsx from 'clsx';

interface KintonePluginButtonProps {
  className?: string;
  variant: 'normal' | 'disabled' | 'dialog-ok' | 'dialog-cancel';
  type?: 'button' | 'submit' | 'reset';
  onClick?: React.MouseEventHandler<HTMLButtonElement>;
  children: React.ReactNode;
}

const KintonePluginButton: React.FC<KintonePluginButtonProps> = (props) => {
  const { className, variant, type, onClick, children } = props;
  return (
    <button
      className={clsx(`kintoneplugin-button-${variant}`, className)}
      type={type}
      onClick={onClick}
      disabled={variant === 'disabled'}
    >
      {children}
    </button>
  );
};
export default KintonePluginButton;
