import React from 'react';

import ReactDOM from 'react-dom/client';
import invariant from 'tiny-invariant';
import DesktopApp from './DesktopApp';

import '../common/ui/51-modern-default.css';

kintone.events.on(
  ['app.record.detail.show', 'mobile.app.record.detail.show'],
  async (event: kintone.events.AppRecordDetailShowEvent | kintone.events.MobileAppRecordDetailShowEvent) => {
    const spaceElement =
      event.type === 'app.record.detail.show'
        ? kintone.app.record.getHeaderMenuSpaceElement()
        : kintone.mobile.app.getHeaderSpaceElement();
    invariant(
      spaceElement,
      'The header menu space element is not available. Please ensure you are on a Kintone app record detail page.',
    );

    const root = document.createElement('div');
    spaceElement.appendChild(root);

    ReactDOM.createRoot(root).render(
      <React.StrictMode>
        <DesktopApp event={event} />
      </React.StrictMode>,
    );

    return event;
  },
);
